
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.dto.XmAssetQueryParam;
import org.sky.scientific.pojo.entity.XmIntangibleAsset;
import org.sky.scientific.pojo.vo.XmIntangibleAssetCostVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 研发项目无形资产表 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface IXmIntangibleAssetService extends BaseService<XmIntangibleAsset> {

	/**
	 * 分页
 	 */
	IPage<XmIntangibleAsset> selectPage(IPage<XmIntangibleAsset> page, XmAssetQueryParam param);

	/**
	 * 直接引用
 	 */
	boolean zhijieyinyong(String yearAndMonth);

	/**
	 * 导入
	 */
	void xmIntangibleAssetImport(MultipartFile file, String yearAndMonth);

	boolean physicalDeleteByIds(List<Long> ids);

	boolean saveXmIntangibleAsset(XmIntangibleAsset xmAsset);

	boolean updateXmIntangibleAsset(XmIntangibleAsset xmAsset);

	/**
	 * 科研无形资产摊销费用分配表
	 * @param page
	 * @param dto
	 * @return
	 */
    IPage<XmIntangibleAssetCostVo> keyanwuxingzichantanxiaofeiyongfenpeibiao(IPage<XmIntangibleAssetCostVo> page, XmAssetQueryParam dto);
}
